<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Session;
use Illuminate\Support\Facades\Auth;


class HomeController extends Controller
{
   
    public function home(){
       
        $prod  = $this->setProductDetails();
        $jsonProductDetails = json_encode($prod);
        return view('home',compact('jsonProductDetails'));

    }
    
    private function setProductDetails() {
   
    $productInStore  = [];
    $limit = 250;
    $nextLink = '';
    $previousLink = '';
    $prodCount = 0;
    
    $shop    = Auth::user();
    //$shopApi = $shop->api()->rest('GET', '/admin/products.json')['body'];

        do {

            try{

                if(empty($previousLink) && empty($nextLink)) {

                    // $productDetails = $shop->api()->rest('GET',
                    // '/admin/products.json',["published_status" => "published", "fields" =>
                    // "id,title,variants", "limit" => $limit]);

                    $productDetails = $shop->api()->rest('GET',
                    '/admin/products.json',["fields" =>
                    "id,title,variants", "limit" => $limit]);
                    
                    
                    $previousLink = !empty($productDetails['link']['previous']) ?
                    $productDetails['link']['previous'] : '';
                    $nextLink = !empty($productDetails['link']['next']) ?
                    $productDetails['link']['next'] : '';

                }elseif(!empty($nextLink)) {

                    $params = ["fields" => "id,title,variants", "limit" => $limit,
                    'page_info' => $nextLink];
                    $productDetails = $shop->api()->rest('GET', '/admin/products.json',$params);
                    $previousLink = !empty($productDetails['link']['previous']) ?
                    $productDetails['link']['previous'] : '';
                    $nextLink = !empty($productDetails['link']['next']) ?
                    $productDetails['link']['next'] : '';
                }
            } catch(Exception $e) {
                echo PHP_EOL."Error when fetching the products from shopify and the error is -  "
				 .$e->getMessage();
			 	die;
            }

            $productDetails = $productDetails['body'];

                if (isset($productDetails['products']) && !empty($productDetails['products'])) {

                    $subscription_product = array('4359176454226','4359186350162','4426715758674','4716581486674','4716582797394');

                    foreach ($productDetails['products'] as $product) {
                        if(in_array($product['id'],$subscription_product)){
                            continue;
                        }


                        foreach ($product['variants'] as $variant) {
                            $prodCount++;
                            
                            if(!empty($variant['sku'])){
                                $variantDetails = [
                                    'id' => $variant['id'] ,
                                    'product_id' => $variant['product_id'],
                                    'variant_title' => strip_tags($variant['title']),
                                    'product_title' => strip_tags($product['title']),
                                    'sku' => $variant['sku'],
                                    'price' => $variant['price']
                                ];
                                $productInStore[] = $variantDetails;
                            }
                            
                        }
                        
                    }
                    
                    $count = count($productDetails['products']);

                }
            
            if(empty($nextLink)) {
                break;
            }
        } while($limit == $count);

    return $productInStore;
    }
    
    public function delaySubscription(){
        die('-------------------');
    }
}
