
<!DOCTYPE html>
<html lang=”en”>
<head>
    <meta charset=”UTF-8”>
    <meta name=”viewport” content=”width=device-width, initial-scale=1.0”>
    <meta http-equiv=”X-UA-Compatible” content=”ie=edge”>
    <title>Delay subscription date</title>
    
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link
        rel="stylesheet"
        href="https://unpkg.com/@shopify/polaris@5.0.0/dist/styles.css"
    />
    <style>
        /* Style inputs with type="text", select elements and textareas */
            input[type=text], select, textarea {
          width: 100%; /* Full width */
          padding: 12px; /* Some padding */ 
          border: 1px solid #ccc; /* Gray border */
          border-radius: 4px; /* Rounded borders */
          box-sizing: border-box; /* Make sure that padding and width stays in place */
          margin-top: 6px; /* Add a top margin */
          margin-bottom: 16px; /* Bottom margin */
          resize: vertical; /* Allow the user to vertically resize the textarea (not horizontally) */
          background-color:#fff !important;
        }
        
        /* Style the submit button with a specific background color etc */
        .submit {
          background-color: #5b69c3;
          color: white;
          padding: 12px 20px;
          border: none;
          border-radius: 4px;
          cursor: pointer;
          width:100%;
          margin:10px 0;
          text-align: center;
        }
        
        /* When moving the mouse over the submit button, add a darker green color */
        .submit:hover {
          background-color: #5b69c3;
        }
        
        /* Add a background color and some padding around the form */
        .container {
          border-radius: 5px;
          background-color: #f6f6f7;
          padding: 20px;
        }
        .swapPillForm{
            background-color:#fff;
            padding:30px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        .inputContainer{
            width: 35%;
        }
        .capsWarning{
            color:red;
            margin:10px 0;
        }
        .filterDetails p{
            font-weight:bold;
            font-size:12px;
            margin:10px 0;
        }
        h1{
            font-weight:bold;
            font-size:24px;
            margin:0 0 20px 0;
        }
        .errorClass{
            color:red;
        }
        
        .lds-ring {
          display: inline-block;
          position: relative;
          width: 80px;
          height: 80px;
        }
        .lds-ring div {
          box-sizing: border-box;
          display: block;
          position: absolute;
          width: 64px;
          height: 64px;
          margin: 8px;
          border: 8px solid #ccc;
          border-radius: 50%;
          animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
          border-color: #ccc transparent transparent transparent;
        }
        .lds-ring div:nth-child(1) {
          animation-delay: -0.45s;
        }
        .lds-ring div:nth-child(2) {
          animation-delay: -0.3s;
        }
        .lds-ring div:nth-child(3) {
          animation-delay: -0.15s;
        }
        @keyframes  lds-ring {
          0% {
            transform: rotate(0deg);
          }
          100% {
            transform: rotate(360deg);
          }
        }
        
        @media  screen and (max-width: 768px) {
          .inputContainer{
             width: 100%;
           }
        }
        

    </style>

</head>

<body>

 <div class="container">
  <h1>Change Pills</h1>
  <form action="javascript:void(0)" class="swapPillForm" id="swapPillForm">
    <div class="inputContainer">
        <label for="discontinuedPill">Select discontinued pill</label>
        <select id="discontinuedPill" name="discontinuedPill">
          <option value="none">Select a pill...</option>
          <?php if (isset($jsonProductDetails) && !empty($jsonProductDetails)) {
            $products = json_decode($jsonProductDetails,true);
            foreach($products as $product){
                if(strtolower($product['variant_title']) !== 'default title' && trim($product['sku']) != ''){
                    echo '<option value="'.$product['sku'].'" data-price="'.$product['price'].'" >'.$product['product_title'].' - '.$product['variant_title'].'</option>';
                }elseif(trim($product['sku']) != ''){
                    echo '<option value="'.$product['sku'].'" data-price="'.$product['price'].'">'.$product['product_title'].'</option>';
                } 
            }
          }?>
        </select>
        <div class="errorClass"></div>
        
        <div>
            <div class="filterDetails" style="float:left">
                <p>Subscribers: <span id="subscriptionCount"> 0</span></p>
                <p>QTY of pills: <span id="pillCount"> 0</span></p>
                <p>Price: <span id="pillPrice"> $0</span></p>
            </div>
            <div style="float:left">
                <div class="lds-ring loader"><div></div><div></div><div></div><div></div></div>
            </div>
            <div style="clear:both"></div>
        </div>
        
        <div class="filterDetails">
           
        </div>
        
        
        
        <label for="replacePill">Select a pill replace with</label>
        <select id="replacePill" name="replacePill">
          <option value="none">Select a pill...</option>
          <?php if (isset($jsonProductDetails) && !empty($jsonProductDetails)) {
            $products = json_decode($jsonProductDetails,true);
            foreach($products as $product){
                if(strtolower($product['variant_title']) !== 'default title' && trim($product['sku']) != ''){
                    echo '<option value="'.$product['sku'].'" data-price="'.$product['price'].'"  >'.$product['product_title'].' - '.$product['variant_title'].'</option>';
                }elseif(trim($product['sku']) != ''){
                    echo '<option value="'.$product['sku'].'" data-price="'.$product['price'].'" >'.$product['product_title'].'</option>';
                } 
            }
          }?>
        </select>
        <div class="errorClass"></div>
        
        
        <div class="filterDetails">
            <p>Price: <span id="replacePillPrice"> $0</span></p>
        </div>
            
    
        <label for="iterablename">Iterable event</label>
        <input type="text" id="iterableName" name="iterablename" placeholder="Please enter event name..">
        
        <input type="checkbox" id="iterableCheck" > Turn iterable event on.
       
    
        <button  class="submit" id="updateSubscription" value="">BEGIN PILL SWAP UPDATE</button>
        
        
        <p class="capsWarning" style="display: block;">WARNING! THIS WILL CHANGE THE CONTENT OF ACTIVE SUBSCRIPTIONS FOR ALL USERS.</p>
        <P>This will take several minutes.</P>
    </div>
    

  </form>
 </div>  
<body>


<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="<?php echo e(URL::asset('js/jquery.validate.min.js')); ?>"></script>

<script>
    var selectedInput = 0;
    $(document).ready(function() {
        
       $('.loader').hide();
       $('#iterableName').prop('disabled', true);
    //   $('#updateSubscription').prop('disabled', true);
       
       $('#discontinuedPill').on('change',function(e){
           
            $('.loader').show();
            discontinuedPillEle = $(this);
            
            discontinuedPillValue = discontinuedPillEle.val();
            discontinuedPillEle.prop('disabled', true);
            
            $('#updateSubscription').prop('disabled', true);
            
            // alert(discontinuedPillValue);
            
            if(discontinuedPillValue == 'none'){
                discontinuedPillEle.next('.errorClass').text('Please select a pill to change.');
            }else{
                discontinuedPillEle.next('.errorClass').text('');
            }
            
            var pillSku = discontinuedPillEle.val();
            var pillPrice = discontinuedPillEle.find(':selected').attr('data-price');
            console.log(pillPrice,'----------');
            checkSubscriptionDetails(pillSku, pillPrice)
            
       });
       
       $('#replacePill').on('change',function(e){
           
           replacePillEle = $(this);
           replacePillValue = replacePillEle.val();
           
           
           if(replacePillValue == 'none'){
               replacePillEle.next('.errorClass').text('Please select a pill replace with.');
            }else{
                replacePillEle.next('.errorClass').text(''); 
            }
            
            var pillPrice = replacePillEle.find(':selected').attr('data-price');
            $('#replacePillPrice').text("$"+pillPrice);
           
       });
       
       $('#iterableCheck').change(function(){
        if(!$(this).is(':checked')){
            $('#iterableName').val('');
        }
        $('#iterableName').prop('disabled', !$(this).is(':checked'));
       
       });
       
       $('#updateSubscription').on('click', function(e){
            
            e.preventDefault();
            
            //do something
            // $(this).prop('disabled', true);
            
            
            var discontinuedPillEle = $('#discontinuedPill');
            var replacePillEle = $('#replacePill');
            
            var discontinuedPillValue = discontinuedPillEle.find(':selected').val();
            var replacePillValue = replacePillEle.find(':selected').val();
            var iterableEventNameValue = '';
            
            if($('#iterableCheck').prop("checked") == true){
                iterableEventNameValue = $('#iterableName').val();
            }
            
            // alert(discontinuedPillValue);
            
            console.log(discontinuedPillValue,'-------------');
            console.log(replacePillValue,'-------------');
            
            if(discontinuedPillValue != 'none' && replacePillValue != 'none'){
                updateSubscriptions(discontinuedPillValue, replacePillValue, iterableEventNameValue);
            }
            
            if(discontinuedPillValue == 'none'){
                discontinuedPillEle.next('.errorClass').text('Please select a pill to change.');
            }
            
            if(replacePillValue == 'none'){
               replacePillEle.next('.errorClass').text('Please select a pill replace with.');
            }
            
            
    
       });
    });
    
    function updateSubscriptions(discontinuedPillValue, replacePillValue, iterableEventNameValue){
        
        var jsonData = {
            "discontinuedPill":discontinuedPillValue,
            "replacePill":replacePillValue,
            "iterableName":iterableEventNameValue
            
        };
        var baseUrl = "<?php echo e(url('/')); ?>";
       
        $.ajax({
            url: baseUrl+'/updateSubscriptions',
            type: 'post',
            crossDomain: true,
            dataType: 'jsonp',
            data: {"data":JSON.stringify(jsonData)}
        }).done(function(response) {
            
            $('.loader').hide();
            
            if(response.status == 'Failed' && response.message == 'validation failed'){
                $.each(response.data, function(key,value){
                    $('#'+key).next('.errorClass').text(value);
                    
                    console.log(key,'----key');
                    console.log(value,'----value');
                });
            }
            
            console.log(response);
            
            /*$('#discontinuedPill').prop('disabled', false);
            
            $('#subscriptionCount').text(response.data.subscriptionCount);
            $('#pillCount').text(response.data.pillCount);
            $('#pillPrice').text("$"+pillPrice);
            
            if(response.data.subscriptionCount >= 0){
                $('#updateSubscription').prop('disabled', false);
            }*/
             
            
        }).fail(function(response) {
            $('.loader').hide();
            console.error(response);
        });
    }
    
    function checkSubscriptionDetails(pillSku, pillPrice){
        
        var jsonData = {"sku":pillSku};
        var baseUrl = "<?php echo e(url('/')); ?>";
         
        // alert(baseUrl);
        $.ajax({
            url: baseUrl+'/getDisContinuePillSubscriptionDetails',
            type: 'post',
            crossDomain: true,
            dataType: 'jsonp',
            data: {"data":JSON.stringify(jsonData)}
        }).done(function(response) {
            
            selectedInput++
            $('.loader').hide();
            $('#discontinuedPill').prop('disabled', false);
            
            $('#subscriptionCount').text(response.data.subscriptionCount);
            $('#pillCount').text(response.data.pillCount);
            $('#pillPrice').text("$"+pillPrice);
            
            if(response.data.subscriptionCount >= 0){
                $('#updateSubscription').prop('disabled', false);
            }
             
            
        }).fail(function(response) {
            $('.loader').hide();
            $('#discontinuedPill').prop('disabled', false);
            console.error(response);
        });
        
    }
    
    function validateCustomForm(form){
    form.validate({
        rules: {            
            discontinuedPill:{
               required:true
            }
            
          },
          messages: {
           
            discontinuedPill:{
                
                required: "Please select a pill to change."
            }
                

          }
    });

    return formValid = form.valid();


}
    
</script>
<?php /**PATH /home/nurishp80w/public_html/staging/subscription-pill-swap/resources/views/home.blade.php ENDPATH**/ ?>